Bug 388061 - Repeated Oops in SELinux context_struct_to_string
Repeated Oops in SELinux context_struct_to_string
Status: CLOSED DUPLICATE of bug 357541
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 21:32 EST by Nicholas Miell
Modified: 2007-12-07 18:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 18:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2007-11-16 21:32:26 EST
Note that there was a reboot between these two:

Nov 14 01:30:29 entropy kernel: Unable to handle kernel paging request at
ffff81083468fff8 RIP: 
Nov 14 01:30:29 entropy kernel:  [<ffffffff81100a49>]
context_struct_to_string+0x7b/0x191
Nov 14 01:30:29 entropy kernel: PGD 10063 PUD 0 
Nov 14 01:30:29 entropy kernel: Oops: 0000 [1] SMP 
Nov 14 01:30:29 entropy kernel: CPU 1 
Nov 14 01:30:29 entropy kernel: Modules linked in: cpufreq_stats radeon drm
rfcomm l2cap bluetooth w83627hf hwmon_vid ipv6 xt_tcpudp nf_conntrack_ipv4
xt_state nf_conntrack nfnetlink ipt_REJECT ipt_LOG xt_limit iptable_filter
ip_tables x_tables loop snd_usb_audio snd_usb_lib snd_emu10k1_synth
snd_emux_synth snd_seq_virmidi snd_seq_midi_emul snd_emu10k1 snd_rawmidi
snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_pcm_oss snd_mixer_oss snd_pcm button k8temp snd_seq_device i2c_viapro hwmon
snd_timer shpchp i2c_core tg3 snd_page_alloc pcspkr snd_util_mem snd_hwdep
emu10k1_gp snd soundcore gameport sr_mod sg cdrom sata_via dm_snapshot dm_zero
dm_mirror dm_mod pata_via ata_generic libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Nov 14 01:30:29 entropy kernel: Pid: 29867, comm: bash Not tainted
2.6.23.1-49.fc8 #1
Nov 14 01:30:29 entropy kernel: RIP: 0010:[<ffffffff81100a49>] 
[<ffffffff81100a49>] context_struct_to_string+0x7b/0x191
Nov 14 01:30:29 entropy kernel: RSP: 0018:ffff810063b79ce8  EFLAGS: 00010296
Nov 14 01:30:29 entropy kernel: RAX: ffff810034690000 RBX: ffff810063b79dfc RCX:
ffffffffffffffff
Nov 14 01:30:29 entropy kernel: RDX: 00000000ffffffff RSI: 0000000000000010 RDI:
ffff8100111178b9
Nov 14 01:30:29 entropy kernel: RBP: 0000000000000000 R08: 0000000000000009 R09:
00b9ebec00036043
Nov 14 01:30:29 entropy kernel: R10: ffffffff81100a73 R11: 0000000000000000 R12:
ffff810063b79d88
Nov 14 01:30:29 entropy kernel: R13: 0000000000000000 R14: ffffffffffffffff R15:
ffff810063b79dd0
Nov 14 01:30:29 entropy kernel: FS:  00002aaaab442f50(0000)
GS:ffff810037c2c300(0000) knlGS:00000000f7fce6c0
Nov 14 01:30:29 entropy kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 14 01:30:29 entropy kernel: CR2: ffff81083468fff8 CR3: 000000001457f000 CR4:
00000000000006e0
Nov 14 01:30:29 entropy kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
Nov 14 01:30:29 entropy kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
Nov 14 01:30:29 entropy kernel: Process bash (pid: 29867, threadinfo
ffff810063b78000, task ffff810075bec820)
Nov 14 01:30:29 entropy kernel: Stack:  0000000000000648 0000000000000002
ffff810063b79d78 0000000000000000
Nov 14 01:30:29 entropy kernel:  ffff810063b79d88 ffff810024650320
ffff810024650308 ffffffff81104ab2
Nov 14 01:30:29 entropy kernel:  ffff81001c9a55e0 ffff81005bf66848
0000000000000000 ffff810024650308
Nov 14 01:30:29 entropy kernel: Call Trace:
Nov 14 01:30:29 entropy kernel:  [<ffffffff81104ab2>] mls_compute_sid+0x169/0x185
Nov 14 01:30:29 entropy kernel:  [<ffffffff81101330>]
security_compute_sid+0x243/0x33b
Nov 14 01:30:29 entropy kernel:  [<ffffffff8107d2ca>] zone_statistics+0x3f/0x60
Nov 14 01:30:29 entropy kernel:  [<ffffffff810f76e2>]
selinux_bprm_set_security+0xa9/0x182
Nov 14 01:30:29 entropy kernel:  [<ffffffff81120ca4>] __up_write+0x27/0xf3
Nov 14 01:30:29 entropy kernel:  [<ffffffff8109f462>] prepare_binprm+0xbc/0xe8
Nov 14 01:30:29 entropy kernel:  [<ffffffff810a06c2>] do_execve+0xe1/0x1f6
Nov 14 01:30:29 entropy kernel:  [<ffffffff8100a61d>] sys_execve+0x36/0x4c
Nov 14 01:30:29 entropy kernel:  [<ffffffff8100bf97>] stub_execve+0x67/0xb0
Nov 14 01:30:29 entropy kernel: 
Nov 14 01:30:29 entropy kernel: 
Nov 14 01:30:29 entropy kernel: Code: 48 8b 3c d0 44 88 e8 f2 ae 4c 89 e7 89 c8
f7 d0 8d 2c 30 89 
Nov 14 01:30:29 entropy kernel: RIP  [<ffffffff81100a49>]
context_struct_to_string+0x7b/0x191
Nov 14 01:30:29 entropy kernel:  RSP <ffff810063b79ce8>
Nov 14 01:30:29 entropy kernel: CR2: ffff81083468fff8

Nov 16 18:15:56 entropy kernel: Unable to handle kernel paging request at
ffff81081128fff8 RIP: 
Nov 16 18:15:56 entropy kernel:  [<ffffffff81100a49>]
context_struct_to_string+0x7b/0x191
Nov 16 18:15:56 entropy kernel: PGD 10063 PUD 0 
Nov 16 18:15:56 entropy kernel: Oops: 0000 [1] SMP 
Nov 16 18:15:56 entropy kernel: CPU 1 
Nov 16 18:15:56 entropy kernel: Modules linked in: hci_usb snd_rtctimer radeon
drm rfcomm l2cap bluetooth w83627hf hwmon_vid ipv6 xt_tcpudp nf_conntrack_ipv4
xt_state nf_conntrack nfnetlink ipt_REJECT ipt_LOG xt_limit iptable_filter
ip_tables x_tables loop snd_usb_audio snd_usb_lib snd_emu10k1_synth
snd_emux_synth snd_seq_virmidi snd_seq_midi_emul snd_emu10k1 snd_rawmidi
snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_device snd_timer snd_page_alloc
snd_util_mem snd_hwdep button snd soundcore i2c_viapro emu10k1_gp tg3 gameport
k8temp i2c_core hwmon pcspkr shpchp sr_mod cdrom sg sata_via dm_snapshot dm_zero
dm_mirror dm_mod pata_via ata_generic libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Nov 16 18:15:56 entropy kernel: Pid: 779, comm: bash Not tainted 2.6.23.1-49.fc8 #1
Nov 16 18:15:56 entropy kernel: RIP: 0010:[<ffffffff81100a49>] 
[<ffffffff81100a49>] context_struct_to_string+0x7b/0x191
Nov 16 18:15:56 entropy kernel: RSP: 0018:ffff81002620bce8  EFLAGS: 00010296
Nov 16 18:15:56 entropy kernel: RAX: ffff810011290000 RBX: ffff81002620bdfc RCX:
ffffffffffffffff
Nov 16 18:15:56 entropy kernel: RDX: 00000000ffffffff RSI: 0000000000000010 RDI:
ffff81004bbac309
Nov 16 18:15:56 entropy kernel: RBP: 0000000000000000 R08: 0000000000000009 R09:
ffff81006f6e0002
Nov 16 18:15:56 entropy kernel: R10: ffffffff810f0010 R11: 0000000000000000 R12:
ffff81002620bd88
Nov 16 18:15:56 entropy kernel: R13: 0000000000000000 R14: ffffffffffffffff R15:
ffff81002620bdd0
Nov 16 18:15:56 entropy kernel: FS:  00002aaaaaad3f50(0000)
GS:ffff810037c2c300(0000) knlGS:00000000f7fce6c0
Nov 16 18:15:56 entropy kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 16 18:15:56 entropy kernel: CR2: ffff81081128fff8 CR3: 000000000631c000 CR4:
00000000000006e0
Nov 16 18:15:56 entropy kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
Nov 16 18:15:56 entropy kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
Nov 16 18:15:56 entropy kernel: Process bash (pid: 779, threadinfo
ffff81002620a000, task ffff81001d04d040)
Nov 16 18:15:56 entropy kernel: Stack:  000000000000047f 0000000000000002
ffff81002620bd78 0000000000000000
Nov 16 18:15:56 entropy kernel:  ffff81002620bd88 ffff8100167d2500
ffff8100167d24e8 ffffffff81104ab2
Nov 16 18:15:56 entropy kernel:  ffff810060bee960 ffff81004a8b1908
0000000000000000 ffff8100167d24e8
Nov 16 18:15:56 entropy kernel: Call Trace:
Nov 16 18:15:56 entropy kernel:  [<ffffffff81104ab2>] mls_compute_sid+0x169/0x185
Nov 16 18:15:56 entropy kernel:  [<ffffffff81101330>]
security_compute_sid+0x243/0x33b
Nov 16 18:15:56 entropy kernel:  [<ffffffff8107d2ca>] zone_statistics+0x3f/0x60
Nov 16 18:15:56 entropy kernel:  [<ffffffff810f76e2>]
selinux_bprm_set_security+0xa9/0x182
Nov 16 18:15:56 entropy kernel:  [<ffffffff81120ca4>] __up_write+0x27/0xf3
Nov 16 18:15:56 entropy kernel:  [<ffffffff810f4f42>]
selinux_bprm_alloc_security+0x15/0x3a
Nov 16 18:15:56 entropy kernel:  [<ffffffff8109f462>] prepare_binprm+0xbc/0xe8
Nov 16 18:15:56 entropy kernel:  [<ffffffff810a06c2>] do_execve+0xe1/0x1f6
Nov 16 18:15:56 entropy kernel:  [<ffffffff8100a61d>] sys_execve+0x36/0x4c
Nov 16 18:15:56 entropy kernel:  [<ffffffff8100bf97>] stub_execve+0x67/0xb0
Nov 16 18:15:56 entropy kernel: 
Nov 16 18:15:56 entropy kernel: 
Nov 16 18:15:56 entropy kernel: Code: 48 8b 3c d0 44 88 e8 f2 ae 4c 89 e7 89 c8
f7 d0 8d 2c 30 89 
Nov 16 18:15:56 entropy kernel: RIP  [<ffffffff81100a49>]
context_struct_to_string+0x7b/0x191
Nov 16 18:15:56 entropy kernel:  RSP <ffff81002620bce8>
Nov 16 18:15:56 entropy kernel: CR2: ffff81081128fff8
Comment 1 Nicholas Miell 2007-11-18 13:56:58 EST
OK, I can reproduce this on demand on a freshly booted system just by running mock.
Comment 2 Chuck Ebbert 2007-11-19 18:03:11 EST
Similar to bug 357541

Eric, does that patch fix this problem too?
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=45e5421eb5bbcd9efa037d682dd357284e3ef982


Comment 3 Nicholas Miell 2007-11-19 18:58:47 EST
I have the same policy module loaded, removing it makes the mock-related Oops go
away.

However, I have no idea what caused the bash oops and have never been able to
repeat it, so while it looks identical to the mock oops, I'll leave the CLOSED:
DUPLICATE decision up to you.
Comment 4 Chuck Ebbert 2007-12-07 18:24:51 EST

*** This bug has been marked as a duplicate of 357541 ***

Note You need to log in before you can comment on or make changes to this bug.